{
  "name": "cypress-ui-test",
  "version": "1.0.0",
  "description": "Test Flounder UI",
  "main": "index.js",
  "scripts": {
    "cypress:open": "cypress open",
    "cypress:run": "cypress run --browser chrome",
    "clean:reports": "rm -R -f ./reports/ && mkdir ./reports/ && mkdir ./reports/mochareports",
    "pretest": "npm run clean:reports",
    "combine-reports": "mochawesome-merge -f ./reports/mocha/mochawesome*.json > ./reports/mocha/report.json",
    "generate-report": "marge ./reports/mocha/report.json -f report -o ./reports/mochareports",
    "posttest": "npm run combine-reports && npm run generate-report",
    "starttest": "npm run cypress:run && npm run posttest",
    "wait-on": "wait-on -t 600000 -i 1000"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "@types/node": "^14.14.19",
    "cypress": "^6.2.0",
    "cypress-multi-reporters": "^1.4.0",
    "cypress-xpath": "^1.6.1",
    "mocha": "^8.2.1",
    "mochawesome": "^6.2.1",
    "mochawesome-merge": "^4.2.0",
    "mochawesome-report-generator": "^5.1.0",
    "node": "^15.4.0",
    "typescript": "^4.1.3",
    "wait-on": "^5.2.1"
  }
}
